diff a/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp b/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
--- a/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
+++ b/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
@@ -582,10 +582,13 @@
                                    Register arg2 = noreg);
 
   // shared exception handler for FFM upcall stubs
   address generate_upcall_stub_exception_handler();
 
+  // interpreter or compiled code marshalling registers to/from inline type instance
+  address generate_return_value_stub(address destination, const char* name, bool has_res);
+
   void create_control_words();
 
   // Initialization
   void generate_initial_stubs();
   void generate_continuation_stubs();
